<template>
  <div class="projects">
    <div class="proj">
      <h1>My projects</h1>
      <h2>If you are interested in my work,</h2>
      <h2>make sure to check my latest projects.</h2>
    </div>
    <div class="bk">
    <div class="grid">
      <b-card-group deck>
        <projects  id="project1" msg1="<b>Lukas Audzevicius' website</b>"
        msg2="A website created as a project to develop my own portfolio."
        img='https://i.imgur.com/GWZSQl2.png'
        idm="project1-modal"
        idm2="project1-button"
        bod="'A website created as a project to develop my own portfolio'.

        This project was created with Vue CLI 3.3. It was built on a Debian 9 O.S. using Visual Studio Code as the main tool.

        Main languages used:
            - Vue
            - JavaScript
            - HTML" />

        <projects id="project2" msg1="<b>Coming soon</b>"
        msg2="Coming soon
        "
        img="http://choosedorchester.org/wp-content/uploads/2017/07/featured-coming-soon.jpg"
        idm="project2-modal"
        idm2="project2-button"
        bod="No information available."/>

        <projects id="project3" msg1="<b>Coming soon</b>"
        msg2="Coming soon
        "
        img="http://choosedorchester.org/wp-content/uploads/2017/07/featured-coming-soon.jpg"
        idm="project3-modal"
        idm2="project3-button"
        bod="No information available."/>
      </b-card-group>
      <b-card-group deck>
        <projects id="project4" msg1="<b>Coming soon</b>"
        msg2="Coming soon"
        img="http://choosedorchester.org/wp-content/uploads/2017/07/featured-coming-soon.jpg"
        idm="project4-modal"
        idm2="project4-modal"
        bod="No information available."/>

        <projects id="project5" msg1="<b>Coming soon</b>"
        msg2="Coming soon"
        img="http://choosedorchester.org/wp-content/uploads/2017/07/featured-coming-soon.jpg"
        idm="project5-modal"
        idm2="project5-modal"
        bod="No information available."/>

        <projects id="project6" msg1="<b>Coming soon</b>"
        msg2="Coming soon"
        img="http://choosedorchester.org/wp-content/uploads/2017/07/featured-coming-soon.jpg"
        idm="project6-modal"
        idm2="project6-modal"
        bod="No information available."/>
      </b-card-group>
    </div>
    </div>
  </div>
</template>

<script>
import Projects from '@/components/Projects.vue'

export default {
  name: 'work',
  components: {
    Projects
  },
  methods: {

  }
}
</script>

<style scoped lang="scss">
#api{
  margin: 0% 5% 0% 0%;
}
.proj{
  font-family: Arial, Helvetica, sans-serif;
  text-align: left;
  padding: 3% 10%;
}
.bk{
  background-image: url('~@/assets/txtbck.jpg');
}
.grid {
  padding: 2% 0% 4%;
  margin: 0 auto;
  width: 1080px;
  font-family: 'Times New Roman', Times, serif;
  font-size: 20px;
  text-align: left;
  margin-top: 252px;
  white-space: pre-line;
}
#pro1{
  text-align: center;
}
</style>
